function fbm_fnc(i,j,k,l)
  use iso_c_binding, only: fp => c_double
  use get_fbm_module

  implicit none
  real(fp) :: fbm_fnc
  integer :: i,j,k,l

  fbm_fnc=fbm(i,j,k,l)
! there are data for fbm_ptcl and fbm
  if(nlfbm_ptcl.and..not.nlfbm_gc) then
     fbm_fnc=fbm_ptcl(i,j,k,l)
  end if
  return
end function fbm_fnc


